package com.openexchange.datagenerator.mail

import java.nio.charset.StandardCharsets.UTF_8
import java.time.format.DateTimeFormatter.RFC_1123_DATE_TIME
import java.time.ZoneOffset

import Multipart._
import com.openexchange.datagenerator.Configuration

class Mails(config: Configuration, opt: Main.Options)
  extends MailGenerator(config, opt)
{
  override def user(displayName: String, email: String): TraversableOnce[Writable] = {
    config("mailsPerUser") generate {
      val first = name()
      val last = name()
      val domain = name().toLowerCase
      val sender = s"${first.toLowerCase}.${last.toLowerCase}@${domain}.com"
      val date = now.minusDays(config.int("mailAge"))
                    .minusSeconds(rnd.nextInt(86400))
      
      part(Map("From" -> s"${first} ${last} <${sender}>",
               "To" -> s""""${displayName}" <${email}>""",
               "Subject" -> text(),
               "Content-Type" -> "text/plain; charset=UTF-8",
               "Content-Transfer-Encoding" -> "8bit"),
           Iterator.continually((text() + "\r\n").getBytes(UTF_8))
                   .take(config int "linesPerMail"))
    }
  }
}
