/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.file

import com.openexchange.testing.performance.common.ModuleNames
import io.gatling.core.Predef._
import io.gatling.http.Predef._

/**
 * [[FileAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object FileAPI {

  /**
   * Requests a formerly uploaded file.
   *
   * @return
   */
  def getFile = ???

  /**
   * Updates a files last access timestamp and keeps it alive.
   *
   * @return
   */
  def keepAlive = ???

  /**
   * Uploads a file.
   *
   * @param module
   * @param file
   * @param mediaType
   * @param fileName
   * @return
   */
  def uploadFile(module: String, file: String, mediaType: String, fileName: String) = group(ModuleNames.AJAX_FILE_UPLOAD) {
    exec(new UploadFile(module, file, mediaType, fileName)
      .buildHttpRequest()
      .check(regex("([0-9a-f]{8}-([0-9a-f]{4}-){3}[0-9a-f]{12})")
        .saveAs("uploaded_media_id")))
  }

}
