/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.groups

import com.openexchange.testing.performance.common.ModuleNames
import com.openexchange.testing.performance.common.utils.JSONUtil
import com.openexchange.testing.performance.groupware.groups.SearchGroupsObj
import io.gatling.core.Predef._
import io.gatling.core.structure.ChainBuilder

/**
 * [[GroupsAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object GroupsAPI {

  /**
   * Creates a group.
   *
   * @return
   */
  def createGroup = ???

  /**
   * Deletes a group.
   *
   * @return
   */
  def deleteGroup = ???

  /**
   * Gets a group.
   *
   * @param id
   * @return
   */
  def getGroup(id: Int): ChainBuilder = group(ModuleNames.GROUPS) {
    exec(new GetGroup(id).buildHttpRequest())
  }

  /**
   * Gets a list of groups.
   *
   * @return
   */
  def getGroupList = ???

  /**
   * Gets the new, modified and deleted groups.
   *
   * @return
   */
  def getGroupUpdates = ???

  /**
   * Searches a group.
   *
   * @param searchGroup
   * @return
   */
  def searchGroups(searchGroup: SearchGroupsObj): ChainBuilder = group(ModuleNames.GROUPS) {
    exec(new SearchGroups(JSONUtil().toJson(searchGroup)).buildHttpRequest())
  }

  /**
   * Updates a group.
   *
   * @return
   */
  def updateGroup = ???
}
