/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.oauth

import com.openexchange.testing.performance.ajax.oauth.accounts.GetAllOAuthAccounts
import com.openexchange.testing.performance.ajax.oauth.services.GetAllOAuthServices
import com.openexchange.testing.performance.common.ModuleNames
import io.gatling.core.Predef._
import io.gatling.core.structure.ChainBuilder

/**
 * [[OAuthAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object OAuthAPI {

  /**
   * Gets all OAuth services meta data.
   */
  val getAllOAuthServices: ChainBuilder = group(ModuleNames.OAUTH) {
    exec(new GetAllOAuthServices())
  }

  /**
   * Gets all OAuth services meta data.
   */
  lazy val getOAuthService = ???

  /**
   * Gets all OAuth accounts.
   */
  val getAllOAuthAccounts: ChainBuilder = group(ModuleNames.OAUTH) {
    exec(new GetAllOAuthAccounts())
  }

  /**
   * Gets an OAuth account.
   */
  lazy val getOAuthAccount = ???

  /**
   * Gets all OAuth grants.
   */
  lazy val getAllOAuthGrants = ???

  /**
   * Creates an OAuth account.
   *
   * @return
   */
  def createOAuthAccount = ???

  /**
   * Deletes an OAuth account.
   *
   * @return
   */
  def deleteOAuthAccount = ???

  /**
   * Initializes the creation of an OAuth account.
   *
   * @return
   */
  def initOAuthAccount = ???

  /**
   * Reauthorizes the specified OAuth account.
   */
  def reauthorizeOAuthAccount = ???

  /**
   * Revokes access for an OAuth client.
   */
  def revokeOAuthGrant = ???

  /**
   * Updates an OAuth account.
   *
   * @return
   */
  def updateOAuthAccount = ???

}
