/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.reminder

import com.openexchange.testing.performance.common.ModuleNames
import io.gatling.core.Predef._

/**
 * [[ReminderAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object ReminderAPI {

  /**
   * Deletes reminders.
   *
   * @return
   */
  def deleteReminders = ???

  /**
   * Gets a reminder range.
   *
   * @param end
   * @return
   */
  def getReminderRange(end: Option[Long] = None, modules: Option[String] = None) = group(ModuleNames.REMINDER) {
    exec(new GetReminderRange(Option(Map("end" -> end.getOrElse(None), "modules" -> modules.getOrElse(None)))))
  }

  /**
   * Updates the reminder alarm.
   *
   * @return
   */
  def remindAgain = ???

}
