/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.resource

import com.openexchange.testing.performance.common.ModuleNames
import com.openexchange.testing.performance.common.utils.JSONUtil
import com.openexchange.testing.performance.groupware.resource.SearchParticipant
import io.gatling.core.Predef._

/**
 * [[ResourcesAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object ResourcesAPI {

  /**
   * Creates a resource.
   *
   * @return
   */
  def createResource = ???

  /**
   * Deletes resources.
   *
   * @return
   */
  def deleteResources = ???

  /**
   * Gets all resources.
   *
   * @return
   */
  def getAllResources = ???

  /**
   * Gets a resource.
   *
   * @return
   */
  def getResource = ???

  /**
   * Gets a list of resources.
   *
   * @return
   */
  def getResourceList = ???

  /**
   * Gets the new, modified and deleted resources.
   *
   * @return
   */
  def getResourceUpdates = ???

  /**
   * Searches for resources.
   *
   * @param pattern
   * @return
   */
  def searchResources(pattern: String) = group(ModuleNames.RESOURCE) {
    exec(new SearchResources(JSONUtil().toJson(SearchParticipant(pattern))))
  }

  /**
   * Updates a resource.
   *
   * @return
   */
  def updateResource = ???
}
