/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.ajax.snippet

import com.openexchange.testing.performance.common.ModuleNames
import io.gatling.core.Predef._
import io.gatling.core.structure.ChainBuilder

/**
 * [[SnippetAPI]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object SnippetAPI {

  /**
   * Attaches one or more files to an existing snippet.
   *
   * @return
   */
  def addSnippetAttachment = ???

  /**
   * Creates a snippet.
   *
   * @return
   */
  def createSnippet = ???

  /**
   * Deletes one or multiple snippets.
   *
   * @return
   */
  def deleteSnippet = ???

  /**
   * Gets all snippets.
   *
   * @param optionalQueryParams
   * @return
   */
  def getAllSnippets(optionalQueryParams: Option[Map[String, Any]] = None): ChainBuilder = group(ModuleNames.SNIPPET) {
    exec(new GetAllSnippets().buildHttpRequest()
      .queryParamMap(optionalQueryParams.getOrElse(Map.empty)))
  }

  /**
   * Gets a snippet.
   *
   * @param id
   * @return
   */
  def getSnippet(id: String): ChainBuilder = group(ModuleNames.SNIPPET) {
    exec(new GetSnippet(id))
  }

  /**
   * Gets the attachment of a snippet.
   *
   * @return
   */
  def getSnippetAttachment = ???

  /**
   * Gets a list of snippets.
   *
   * @return
   */
  def getSnippetList = ???

  /**
   * Detaches one or more files from an existing snippet.
   *
   * @return
   */
  def removeSnippetAttachments = ???

  /**
   * Updates a snippet.
   *
   * @return
   */
  def updateSnippet = ???
}
