/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.guard.keys

import com.openexchange.testing.performance.ajax.login.AbstractAuthenticatedGuardRequest
import com.openexchange.testing.performance.common.request.OptParamImplicits._
import com.openexchange.testing.performance.common.request.RequestMethod
import io.gatling.http.Predef._
import io.gatling.core.Predef._
import io.gatling.core.session.Expression
import io.gatling.http.request.builder.HttpRequestBuilder

/**
 * [[Upload]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
class Upload(
    key:         Expression[String],
    keyPassword: Option[String]     = None,
    newPassword: Option[String]     = None) extends AbstractAuthenticatedGuardRequest {
  override val requestMethod: String = RequestMethod.POST
  override val relativeURL: String = "keys?action=upload"

  override def buildHttpRequest(): HttpRequestBuilder = super.buildHttpRequest()
    .formParam("key", key)
    //    .formParamMap(map2param(Map(
    //      "keyPassword" -> keyPassword,
    //      "newPassword" -> newPassword)))
    .bodyPart(StringBodyPart("").contentId("key0"))
}
