/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.guard.login

import com.openexchange.testing.performance.common.SessionConstants._
import com.openexchange.testing.performance.common.utils.JSONUtil
import io.gatling.core.Predef._
import io.gatling.http.Predef._

/**
 * [[LoginChecks]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object LoginChecks {
  private[this] val sAUTH = "$.auth"
  private[this] val sSERVER_VERSION = "$.server"

  def auth = jsonPath(sAUTH).saveAs(GUARD_AUTH)

  def serverVersion = jsonPath(sSERVER_VERSION).saveAs(GUARD_VERSION)

  def loginResponse = bodyString.transform(
    json => JSONUtil().fromJson[LoginResponse](json))
    .saveAs(classOf[LoginResponse].getSimpleName)
}
