/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.guard.login

/**
 * [[LoginResponse]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class LoginResponse(
    auth:          Option[String]              = None,
    cid:           Option[Int]                 = None,
    lang:          Option[Map[String, String]] = None,
    primaryEmail:  Option[String]              = None,
    pubKey:        Option[String]              = None,
    recoveryAvail: Option[Boolean]             = None,
    server:        Option[String]              = None,
    settings:      Option[Settings]            = None)

case class Settings(
    inline:              Option[Boolean] = None,
    min_password_length: Option[Int]     = None,
    noDeletePrivate:     Option[Boolean] = None,
    noDeleteRecovery:    Option[Boolean] = None,
    noRecovery:          Option[Boolean] = None,
    password_length:     Option[Int]     = None,
    pgpdefault:          Option[Boolean] = None,
    pgpsign:             Option[Boolean] = None)