/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.simulations

import com.openexchange.testing.performance.ajax.login.LoginChain
import com.openexchange.testing.performance.common.BaseSimulation
import com.openexchange.testing.performance.common.SessionConstants._
import io.gatling.core.Predef._
import io.gatling.core.structure.ScenarioBuilder

/**
 * [[LoginSimulation]]
 *
 * @author <a href="mailto:dominik.epple@open-xchange.com">Dominik Epple</a>
 */
class LoginSimulation extends BaseSimulation {

  override def scn: ScenarioBuilder = scenario(getClass.getSimpleName)
    .feed(csv(settings.simulation.userFeeder).circular)
    .exec(LoginChain.doLogin())

    .doIfOrElse(session => session.contains(SESSION_ID)) {
      exec(LoginChain.doLogout())
    } {
      exec(session => {
        println("Error logging in: " + session("username").as[String]);
        session
      })
    }

}
