/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common

import io.gatling.core.session._
import io.gatling.core.session.el._

/**
 * [[CommonSessionConstants]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
trait CommonSessionConstants {

  def $(s: String): String = "${" + s + "}"

  def $$(s: String): Expression[String] = s.el[String]

  def oxpression(s: String): String = s"OX_$s".toUpperCase

  //================================================================================
  // Common values
  //================================================================================

  /**
   * Server version
   *
   * @example 7.6.0-Rev1
   */
  val SERVER_VERSION: String = oxpression("SERVER_VERSION")

  val GUARD_VERSION = oxpression("guard_version")

  /** Session identifier */
  val SESSION_ID = oxpression("SESSION")

  /** Context identifier */
  val CONTEXT_ID = oxpression("CID")

  /** Credentials */
  val USERNAME = "${username}"

  val PASSWORD = "${password}"

  val PAGE_COUNT: Integer = 0

}
