/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common

/**
 * [[ModuleNames]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object ModuleNames {
  /** 2. Module Login */
  val LOGIN = "Login"

  /** 3. Module Config */
  val CONFIG = "Config"

  /** 4. Module Folders */
  val FOLDERS = "Folders"

  /** 5. Module Tasks */
  val TASKS = "Tasks"

  /** 6. Module Contacts */
  val CONTACTS = "Contacts"

  /** 7. Module Calendar */
  val CALENDAR = "Calendar"

  /** 8. Module Mail */
  val MAIL = "Mail"

  /** 9. Module GROUPS */
  val GROUPS = "Groups"

  /** 10. Module Resource */
  val RESOURCE = "Resource"

  /** 11. Module Infostore or Filestore or Files or Drive */
  val INFOSTORE = "Infostore"

  /** 12. Module Attachments */
  val ATTACHMENTS = "Attachments"

  /** 13. Module Reminder */
  val REMINDER = "Reminder"

  /** 14. Module Multiple */
  val MULTIPLE = "Multiple"

  /** 15. Module Quota */
  val QUOTA = "Quota"

  /** 16. Module Import */
  val IMPORT = "Import"

  /** 17. Module Export */
  val EXPORT = "Export"

  /** 18. Module Sync */
  val SYNC = "Sync"

  /** 19. Module Token */
  val TOKEN = "Token"

  /** 20. Module Mailfilter */
  val MAILFILTER = "Mailfilter"

  /** 21. Module Ajax File Upload */
  val AJAX_FILE_UPLOAD = "Ajax File Upload"

  /** 22. Module Image */
  val IMAGE = "Image"

  /** 23. Module Conversion */
  val CONVERSION = "Conversion"

  /** 24. Module Search */
  val SEARCH = "Search"

  /** 26. Module Mail Account */
  val MAIL_ACCOUNT = "Mail Account"

  /** 27. Module Auto Configuration */
  val AUTO_CONFIGURATION = "Auto Configuration"

  /** 28. Module User */
  val USER = "User"

  /** 29. Module OAuth */
  val OAUTH = "OAuth"

  /** 30. Module JSLob */
  val JSLOB = "JSLob"

  /** 31. Module Freebusy */
  val FREEBUSY = "Freebusy"

  /** 32. Module Messaging Services */
  val SERVICES = "Messaging Services"

  /** 33. Module Messaging Accounts */
  val ACCOUNTS = "Messaging Accounts"

  /** 34. Module Messaging Messages */
  val MESSAGING_MESSAGES = "Messaging Messages"

  /** 36. Module Snippet */
  val SNIPPET = "Snippet"

  /** 37. Module Halo */
  val HALO = "Halo"

  /** 38. Module Capabilities */
  val CAPABILITIES = "Capabilities"

  /** 41. Module Share/Management */
  val SHARE_MANAGEMENT = "Share/Management"

  /** 42. Module Drive */
  val DRIVE = "Drive"

  /** 43. Module Passwordchange */
  val PASSWORDCHANGE = "Passwordchange"

  /** 44. Module File Storage Services */
  val FILE_STORAGE_SERVICES = "File Storage Services"

  /** 45. Module File Storage Accounts */
  val FILE_STORAGE_ACCOUNTS = "File Storage Accounts"

  //TODO add module number as soon as available
  /** ??. Module Guard-JSON */
  val GUARD_JSON = "Guard-JSON"

  /**
   * Module Misc
   *
   * @note ''Non-HTTP-API''
   */
  val MISC = "Misc"

  /**
   * Module Publication
   *
   * @note ''Non-HTTP-API''
   */
  val PUBLICATION = "Publication"

  /**
   * Module Subscription
   *
   * @note ''Non-HTTP-API''
   */
  val SUBSCRIPTION = "Subscription"

  val OPENID = "OpenID"

  val CHRONOS = "Chronos"

  val ALARM = "Alarm"

  val SAML = "SAML"

}
