/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common

/**
 * [[SessionConstants]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object SessionConstants extends CommonSessionConstants {

  //================================================================================
  // User specific
  //================================================================================
  /** Internal user identifier */
  val USER_ID: String = oxpression("USER_ID")

  val USER_EMAIL1 = oxpression("USER_EMAIL1")

  val USER_FIRST_NAME = oxpression("USER_FIRST_NAME")

  val USER_LAST_NAME = oxpression("USER_LAST_NAME")

  val LOCALE = oxpression("LOCALE")

  val CAPABILITIES = oxpression("CAPABILITIES")

  //================================================================================
  // Folder identifier
  //================================================================================
  /** Folder identifier inbox */
  val FID_INBOX = oxpression("FID_INBOX")

  /** Folder identifier drafts */
  val FID_DRAFTS = oxpression("FID_DRAFTS")

  /** Folder identifier sent items */
  val FID_SENT = oxpression("FID_SENT")

  /** Folder identifier spam folder */
  val FID_SPAM = oxpression("FID_SPAM")

  /** Folder identifier trash folder */
  val FID_TRASH = oxpression("FID_TRASH")

  /** Folder identifier task folder */
  val FID_TASKS = oxpression("FID_TASKS")

  /** Folder identifier calendar */
  val FID_CALENDAR = oxpression("FID_CALENDAR")

  /** Folder identifier calendar */
  val FID_CHRONOS = oxpression("FID_CHRONOS")

  /** Folder identifier contact folder */
  val FID_CONTACTS = oxpression("FID_CONTACTS")

  /** Folder identifier infostore */
  val FID_INFOSTORE = oxpression("FID_INFOSTORE")

  /** Folder identifier infostore trash */
  val FID_INFOSTORE_TRASH = oxpression("FID_INFOSTORE_TRASH")

  /** Folder identifier infostore pictures */
  val FID_INFOSTORE_PICTURES = oxpression("FID_INFOSTORE_PICTURES")

  /** Folder identifier infostore templates */
  val FID_INFOSTORE_TEMPLATES = oxpression("FID_INFOSTORE_TEMPLATES")

  /** Folder identifier infostore music */
  val FID_INFOSTORE_MUSIC = oxpression("FID_INFOSTORE_MUSIC")

  /** Folder identifier infostore videos */
  val FID_INFOSTORE_VIDEOS = oxpression("FID_INFOSTORE_VIDEOS")

  /** Folder identifier infostore documents */
  val FID_INFOSTORE_DOCUMENTS = oxpression("FID_INFOSTORE_DOCUMENTS")

  /** File identifier for uploaded file */
  val FILE_ID = oxpression("FILE_ID")

  //================================================================================
  // Module Mail
  //================================================================================
  val MAIL_ID = oxpression("MAIL_ID")

  //================================================================================
  // Module Guard
  //================================================================================
  /** Guard Authentication */
  val GUARD_AUTH = oxpression("GUARD_AUTH")

  /** Guard ID */
  val GUARD_ID = oxpression("GUARD_ID")

}
