/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common.feeder

import java.util.concurrent.atomic.AtomicInteger

import io.gatling.core.feeder.Feeder

/**
 * [[UserAuthFeeder]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object UserAuthFeeder {

  def apply(): Feeder[Any] = new Feeder[Any] {
    val user = new AtomicInteger(1)
    val context = new AtomicInteger(1)

    override def hasNext: Boolean = true

    override def next(): Map[String, Any] = {
      if (user.get() == 9 + 1) {
        user.set(1)
        context.getAndIncrement()
      }
      //      if (context.get() == 49999 + 1) {
      //        context.set(1)
      //      }
      val m = Map("username" -> s"user-${user.getAndIncrement()}@${context.get()}", "password" -> "secret")
      println(m)
      m
    }
  }

}