/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common.request

import io.gatling.http.action.sync.HttpRequestActionBuilder

import scala.language.implicitConversions

abstract class AbstractSAMLRequest extends Request {
  override val path: String = settings.middleware.path

  override def toString = s"$requestName ($requestMethod, $path/$relativeURL, $headers, $checks)"

}

object AbstractSAMLRequest {
  implicit def toActionBuilder(request: Request): HttpRequestActionBuilder =
    new HttpRequestActionBuilder(request.buildHttpRequest())
}