/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common.request

/**
 * [[RequestParameters]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object RequestParameters {

  /** The login name. */
  val NAME = "name"

  /** The password. */
  val PASSWORD = "password"

  /** A session ID previously obtained from the login module. */
  val SESSION = "session"

  /** Object ID of the folder. */
  val FOLDER = "folder"

  /** The identifier of the parent folder */
  val FOLDER_ID = "folder_id"

  /** Object ID */
  val ID = "id"

  /** Inclusive start date for a time range */
  val START = "start"

  /** Exclusive end date for a time range */
  val END = "end"

  /** Only works in shared folders: When enabled, shows private appointments of the folder owner. */
  val SHOW_PRIVATE = "showPrivate"

  /**
   * A comma-separated list of columns to return. Each column is specified by a numeric column identifier.
   */
  val COLUMNS = "columns"

  /** Timestamp */
  val TIMESTAMP = "timestamp"

  /** The identifier of the folder tree */
  val TREE = "tree"

  /** The content type */
  val CONTENT_TYPE = "content_type"

  val ROOT = "root"

  val MODULE = "module"

  val PATH = "path"

  val ALL = "all"

  val PARENT = "parent"
}
