/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common.utils

import com.openexchange.testing.performance.common.{ APINames, ModuleNames }
import io.gatling.core.session.Expression
import io.gatling.core.Predef._
import io.gatling.core.structure.{ ChainBuilder, Groups }
import io.gatling.core.structure.ChainBuilder.chainOf
import io.gatling.core.action.builder.GroupBuilder

object GroupChainHelper {

  def grouping(name: Expression[String])(chains: ChainBuilder*) =
    exec(
      chainOf(GroupBuilder.start(name), GroupBuilder.start("skata"))
        .exec(chains)
        .exec(GroupBuilder.End))

  private def groupChain(groupName: Expression[String], chain: ChainBuilder): ChainBuilder = group(APINames.GUARDAPI) {
    group(groupName) {
      exec(chain)
    }
  }

}
