/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.common.utils

import java.util.concurrent.ThreadLocalRandom

import com.openexchange.testing.performance.common.utils.FakerHelper.faker
import com.openexchange.testing.performance.groupware.infostore.{ InfoItemBody, InfoItemData }
import com.typesafe.scalalogging.LazyLogging

/**
 * [[InfoItemGenerator]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
object InfoItemGenerator extends LazyLogging {

  def generate(folderId: String, filename: String): InfoItemBody = InfoItemBody(
    InfoItemData(
      folder_id = folderId,
      url = Some("http://example.com/" + faker.lorem().characters(8)),
      filename = Some(filename),
      version = Some(ThreadLocalRandom.current().nextInt(1, 10 + 1).toString),
      description = Some(faker.lorem().paragraph())))

}
