/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance

import com.typesafe.config.Config

/**
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
package object config {

  implicit class RichConfig(val config: Config) extends AnyVal {

    def getOptionalBoolean(path: String): Option[Boolean] = {
      if (config.hasPath(path)) Some(config.getBoolean(path)) else None
    }

    def getOptionalString(path: String): Option[String] = {
      if (config.hasPath(path)) Some(config.getString(path)) else None
    }

    def getOptionalInt(path: String): Option[Int] = {
      if (config.hasPath(path)) Some(config.getInt(path)) else None
    }

  }

}
