/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware

import com.fasterxml.jackson.annotation.JsonUnwrapped

/**
 * [[InfoItem]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class InfoItem(
    override val folder_id:                Option[String],
    @JsonUnwrapped detailed_infoitem_data: DetailedInfoitemData) extends BaseObject

case class DetailedInfoitemData(
    title:              Option[String]  = None,
    url:                Option[String]  = None,
    filename:           Option[String]  = None,
    file_mimetype:      Option[String]  = None,
    file_size:          Option[Int]     = None,
    version:            Option[Int]     = None,
    description:        Option[String]  = None,
    file_md5sum:        Option[String]  = None,
    version_comment:    Option[String]  = None,
    current_version:    Option[Boolean] = None,
    number_of_versions: Option[Int]     = None)