/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware

import com.fasterxml.jackson.annotation.JsonUnwrapped

/**
 * [[Task]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class Task(@JsonUnwrapped task_appointment_data: TaskAppointmentData, @JsonUnwrapped detailed_task_data: DetailedTaskData)

case class DetailedTaskData(
    status:              Option[Int]    = None,
    percent_completed:   Option[String] = None,
    actual_costs:        Option[Double] = None,
    actual_duration:     Option[String] = None,
    after_complete:      Option[Int]    = None,
    billing_information: Option[String] = None,
    target_costs:        Option[Double] = None,
    target_duration:     Option[String] = None,
    priority:            Option[Int]    = None,
    currency:            Option[String] = None,
    trip_meter:          Option[String] = None,
    companies:           Option[String] = None,
    date_completed:      Option[Int]    = None,
    start_time:          Option[Int]    = None,
    end_time:            Option[Int]    = None)
