/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware

/**
 * [[TaskAppointmentData]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class TaskAppointmentData(
    override val folder_id:     Option[String],
    override val last_modified: Option[Long]             = None,
    title:                      Option[String]           = None,
    start_date:                 Long,
    end_date:                   Long,
    note:                       Option[String]           = None,
    alarm:                      Option[Int]              = None,
    recurrence_type:            Option[Int]              = None,
    days:                       Option[Int]              = None,
    day_in_month:               Option[Int]              = None,
    month:                      Option[Int]              = None,
    interval:                   Option[Int]              = None,
    until:                      Option[Int]              = None,
    notification:               Option[Boolean]          = None,
    participants:               Option[Seq[Participant]] = None,
    //TODO users:Option[]
    occurrences: Option[Int]    = None,
    uid:         Option[String] = None,
    organizer:   Option[String] = None,
    sequence:    Option[Int]    = None,
    //TODO confirmations:
    organizerId:               Option[Int]     = None,
    principal:                 Option[String]  = None,
    principalId:               Option[Int]     = None,
    full_time:                 Option[Boolean] = None,
    override val private_flag: Option[Boolean] = None) extends BaseObject
