/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware.contacts

/**
 * [[ContactData]] object
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class ContactData(
    folder_id:                         String,
    display_name:                      Option[String]  = None,
    first_name:                        Option[String]  = None,
    last_name:                         Option[String]  = None,
    second_name:                       Option[String]  = None,
    suffix:                            Option[String]  = None,
    title:                             Option[String]  = None,
    birthday:                          Option[Long]    = None,
    anniversary:                       Option[Long]    = None,
    number_of_children:                Option[Int]     = None,
    nickname:                          Option[String]  = None,
    spouse_name:                       Option[String]  = None,
    url:                               Option[String]  = None,
    profession:                        Option[String]  = None,
    department:                        Option[String]  = None,
    position:                          Option[String]  = None,
    company:                           Option[String]  = None,
    employee_type:                     Option[String]  = None,
    room_number:                       Option[String]  = None,
    email1:                            Option[String]  = None,
    email2:                            Option[String]  = None,
    email3:                            Option[String]  = None,
    instant_messenger1:                Option[String]  = None,
    instant_messenger2:                Option[String]  = None,
    telephone_home1:                   Option[String]  = None,
    telephone_home2:                   Option[String]  = None,
    fax_home:                          Option[String]  = None,
    telephone_business1:               Option[String]  = None,
    fax_business:                      Option[String]  = None,
    telephone_business2:               Option[String]  = None,
    telephone_company:                 Option[String]  = None,
    telephone_other:                   Option[String]  = None,
    fax_other:                         Option[String]  = None,
    telephone_callback:                Option[String]  = None,
    telephone_car:                     Option[String]  = None,
    cellular_telephone1:               Option[String]  = None,
    cellular_telephone2:               Option[String]  = None,
    telephone_isdn:                    Option[String]  = None,
    telephone_pager:                   Option[String]  = None,
    telephone_primary:                 Option[String]  = None,
    telephone_radio:                   Option[String]  = None,
    telephone_telex:                   Option[String]  = None,
    telephone_ttytdd:                  Option[String]  = None,
    telephone_ip:                      Option[String]  = None,
    telephone_assistant:               Option[String]  = None,
    street_home:                       Option[String]  = None,
    postal_code_home:                  Option[Int]     = None,
    city_home:                         Option[String]  = None,
    state_home:                        Option[String]  = None,
    country_home:                      Option[String]  = None,
    addressHome:                       Option[String]  = None,
    addressOther:                      Option[String]  = None,
    street_business:                   Option[String]  = None,
    postal_code_business:              Option[Int]     = None,
    city_business:                     Option[String]  = None,
    state_business:                    Option[String]  = None,
    country_business:                  Option[String]  = None,
    addressBusiness:                   Option[String]  = None,
    street_other:                      Option[String]  = None,
    city_other:                        Option[String]  = None,
    postal_code_other:                 Option[Int]     = None,
    country_other:                     Option[String]  = None,
    state_other:                       Option[String]  = None,
    id:                                Option[String]  = None,
    created_by:                        Option[String]  = None,
    modified_by:                       Option[String]  = None,
    creation_date:                     Option[String]  = None,
    last_modified:                     Option[Int]     = None,
    categories:                        Option[String]  = None,
    private_flag:                      Option[Boolean] = None,
    color_label:                       Option[Int]     = None,
    number_of_attachments:             Option[Int]     = None,
    lastModifiedOfNewestAttachmentUTC: Option[Int]     = None)
