/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware.folders

import com.fasterxml.jackson.annotation.{ JsonProperty, JsonUnwrapped }
import com.openexchange.testing.performance.groupware.BaseObject

/**
 * [[FolderBody]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class FolderBody(@JsonUnwrapped folder: FolderData, @JsonUnwrapped notification: Option[FolderBodyNotification] = None)

case class FolderData(
    title:                     String,
    module:                    String,
    permissions:               Option[Array[Permission]] = None,
    subscribed:                Option[Boolean]           = None,
    subscr_subflds:            Option[Boolean]           = None,
    @JsonProperty("type") typ: Option[Int]               = None,
    subfolders:                Option[Boolean]           = None,
    own_rights:                Option[Int]               = None,
    summary:                   Option[String]            = None,
    standard_folder:           Option[Boolean]           = None,
    total:                     Option[Int]               = None,
    @JsonProperty("new") neu:  Option[Int]               = None,
    unread:                    Option[Int]               = None,
    deleted:                   Option[Int]               = None,
    capabilities:              Option[Int]               = None,
    supported_capabilities:    Option[Array[String]]     = None) extends BaseObject

case class FolderBodyNotification(transport: Option[String] = None, message: Option[String] = None)