/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.groupware.folders

import com.fasterxml.jackson.annotation.JsonProperty
import com.openexchange.testing.performance.groupware.contacts.ContactData

/**
 * [[Permission]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
case class Permission(
    bits:                      Long,
    entity:                    String,
    group:                     Boolean,
    rights:                    Option[String] = None,
    @JsonProperty("type") typ: Option[String] = None,
    password:                  Option[String] = None,
    email_address:             Option[String] = None,
    display_name:              Option[String] = None,
    contact_id:                Option[String] = None,
    contact_folder:            Option[String] = None)

case class ExtendedPermission(
    entity:                    Option[Int]         = None,
    bits:                      Option[Int]         = None,
    @JsonProperty("type") typ: Option[String]      = None,
    display_name:              Option[String]      = None,
    contact:                   Option[ContactData] = None,
    share_url:                 Option[String]      = None,
    password:                  Option[String]      = None,
    expiry_date:               Option[Int]         = None)