/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.facade.mails

import com.openexchange.testing.performance.common.request.{ AbstractAuthenticatedFacadeRequest, RequestMethod }
import com.openexchange.testing.performance.common.utils.JSONUtil
import io.gatling.core.Predef._
import io.gatling.core.session._
import io.gatling.http.request.builder.HttpRequestBuilder

class DeleteMailsRequest(folderId: Expression[String], mailIds: Expression[Set[String]]) extends AbstractAuthenticatedFacadeRequest {
  override val requestMethod: String = RequestMethod.DELETE
  override val relativeURL: String = "/api-facade/v1/mails/delete"

  override def buildHttpRequest(): HttpRequestBuilder = {
    super.buildHttpRequest()
      .body(StringBody(session => JSONUtil().toJson(Map(
        "folderId" -> folderId(session).get,
        "mailIds" -> mailIds(session).get)))).asJSON
  }

}
