/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.simulations

import com.openexchange.testing.performance.ajax.config.ConfigAPI
import com.openexchange.testing.performance.ajax.login.LoginChain
import com.openexchange.testing.performance.ajax.mail.MailAPI
import com.openexchange.testing.performance.common.BaseSimulation
import com.openexchange.testing.performance.common.SessionConstants._
import com.openexchange.testing.performance.config.HTTPConfig
import io.gatling.core.Predef._
import io.gatling.core.structure.ScenarioBuilder
import io.gatling.http.protocol.HttpProtocolBuilder

class CreateDataSim extends BaseSimulation {
  override lazy val httpConf: HttpProtocolBuilder = HTTPConfig.facadeConf

  override def scn: ScenarioBuilder = scenario(getClass.getSimpleName)
    .feed(csv(settings.simulation.userFeeder).circular)
    .exec(LoginChain.doLogin())
    .doIf(session => session.contains(SESSION_ID)) {
      exec(ConfigAPI.getAllDefaultMailFolderIds)
        .repeat(10000) {
          exec(MailAPI.importMail($(FID_INBOX), "lorem.eml", Some(Map("force" -> true))))
        }
    }
    .exec(LoginChain.doLogout)
}

