/*
 * Copyright (C) 2018 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.util

import com.fasterxml.jackson.annotation.JsonProperty

case class Tenant(
    id:                        String,
    name:                      String,
    keyspaceName:              String,
    configuration:             Configuration,
    dataSources:               List[DataSource],
    customFieldConfigurations: String)

case class Configuration(
    secretKey:     String,
    shutdown:      Boolean,
    ldapBrandName: String)

case class DataSource(
    id:                         String,
    @JsonProperty("type") typ:  String,
    defaultDataSource:          Boolean,
    secretKey:                  String,
    importFilename:             String,
    deleteTemporaryImportFiles: Boolean,
    awsConnectionInformation:   AwsConnectionInformation)

case class AwsConnectionInformation(
    authorizationType:      String,
    accessKey:              String,
    secretKey:              String,
    signer:                 String,
    pathStyleAccessEnabled: Boolean,
    endpoint:               String,
    region:                 String,
    bucket:                 String,
    proxyHost:              String,
    proxyPort:              String,
    proxyUsername:          String,
    proxyPassword:          String)
