/*
 * Copyright (C) 2017 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

import sbt._

/**
  * [[Dependencies]]
  *
  * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
  */
object Dependencies {
  // Versions
  lazy val gatlingVersion = "2.3.1"
  lazy val jacksonModuleVersion = "2.9.7"
  lazy val javaFakerVersion = "0.16"
  lazy val apacheCommonsIOVersion = "2.6"
  lazy val awsVersion = "1.11.398"
  lazy val ical4jVersion = "3.0.1"
  lazy val rfc5545DateTimeVersion = "0.2.4"
  lazy val librecurVersion = "0.10.3"
  lazy val scalacheckVersion = "1.14.0"

  // Libraries
  private val gatlingHighcharts = "io.gatling.highcharts" % "gatling-charts-highcharts" % gatlingVersion % Test withSources() withJavadoc()
  private val gatlingTestFramework = "io.gatling" % "gatling-test-framework" % gatlingVersion % Test withSources() withJavadoc()

  private val jacksonModuleScala = "com.fasterxml.jackson.module" %% "jackson-module-scala" % jacksonModuleVersion

  private val javaFaker = "com.github.javafaker" % "javafaker" % javaFakerVersion

  private val apacheCommonsIO = "commons-io" % "commons-io" % apacheCommonsIOVersion

  private val aws = "com.amazonaws" % "aws-java-sdk-s3" % awsVersion

  private val ical4j = "org.mnode.ical4j" % "ical4j" % ical4jVersion

  private val rfc5545DateTime = "org.dmfs" % "rfc5545-datetime" % rfc5545DateTimeVersion
  private val librecur = "org.dmfs" % "lib-recur" % librecurVersion

  private val scalacheck = "org.scalacheck" %% "scalacheck" % scalacheckVersion % Test

  // All OX dependencies
  val coreDependencies = Seq(jacksonModuleScala, javaFaker, apacheCommonsIO, aws, ical4j, rfc5545DateTime, librecur,
    scalacheck)

  // Projects
  val gatlingDependencies = Seq(gatlingHighcharts, gatlingTestFramework)

}