/*
 * Copyright (C) 2017 OX Software GmbH
 *
 * This file is part of OX API-Performance Tests.
 *
 * OX API-Performance Tests is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * OX API-Performance Tests is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with OX API-Performance Tests.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.openexchange.testing.performance.soap.webservices.admin.user

import com.openexchange.testing.performance.soap.{ UserDataobjectsFactory, JaxbHelper }
import com.openexchange.testing.performance.soap.webservices.AbstractSoapRequest

/**
 * [[CreateUser]]
 *
 * @author <a href="mailto:nikolaos.tsapanidis@open-xchange.com">Nikolaos Tsapanidis</a>
 */
class CreateUser extends AbstractSoapRequest {
  override val wsdlEndpoint: String = "OXUserService"
  override val soapAction: String = "create"
  override val soapBody: io.gatling.core.session.Expression[scala.Predef.String] = (session: io.gatling.core.session.Session) => JaxbHelper.serializeUser(UserDataobjectsFactory.buildCreate(session))
}