#
# dovecot
#

# jessie
cat >/etc/apt/sources.list.d/backports.list <<EOF
deb http://ftp.debian.org/debian jessie-backports main
EOF
apt-get update
apt-get -t jessie-backports install dovecot-core dovecot-imapd dovecot-managesieved dovecot-lmtpd 

# stretch
#apt-get update
#apt-get install dovecot-core dovecot-imapd dovecot-managesieved dovecot-lmtpd 

rm -rf /etc/dovecot/*
cp dovecot.conf /etc/dovecot

echo "testuser@localdomain:{PLAIN}secret:::::" >/etc/dovecot/passwd
echo "master:{PLAIN}supersecret:::::" >/etc/dovecot/masters

useradd -U -r vmail
mkdir -p /mnt/vmail/vmail
chown vmail:vmail /var/lib/dovecot /mnt/vmail /mnt/vmail/vmail

#
# postfix
#

apt-get install postfix postfix-doc

postconf -e \
"smtpd_relay_restrictions = permit_mynetworks permit_sasl_authenticated reject_unauth_destination reject_unverified_recipient" \
"smtpd_sasl_type = dovecot" \
"smtpd_sasl_path = private/auth" \
"smtpd_sasl_auth_enable = yes" \
"relay_domains = hash:/etc/postfix/relay_domains" \
"transport_maps = hash:/etc/postfix/transport, \$relay_domains"

cat >/etc/postfix/relay_domains <<\EOF
localdomain lmtp:[127.0.0.1]
gatling lmtp:[127.0.0.1]
EOF

cat >/etc/postfix/transport <<\EOF
* discard:
EOF

( cd /etc/postfix && postmap relay_domains && postmap transport )

service dovecot restart
service postfix restart
