package com.openexchange.build.packaging

class Field {

    String name
    Value value

    /**
     * Creates a new field with an empty value. Can be used e.g. for multi-line fields
     * where the values start at the second line.
     * @param name The field name
     */
    Field(String name) {
        this(name, '')
    }

    Field(String name, String value0) {
        this.name = name
        value = new Value(value0)
    }

    /**
     * If the field value is of type simple it is returned as a String.
     * @return The simple value or null
     */
    String getSimpleValue() {
        if (value.lines.size() == 1) {
            return value.lines.first()
        }

        return null
    }

    @Override
    String toString() {
        return name + ": " + value.toString()
    }
}
