package com.openexchange.build.packaging

import java.util.Map

class Paragraph {

    Map<String, Field> fields = new LinkedHashMap<>()

    void set(Field field) {
        if (field == null) {
            return
        }
        fields.put(field.name.toLowerCase(), field)
    }

    Field get(String name) {
        return fields.get(name.toLowerCase())
    }

    @Override
    String toString() {
        def str = new StringBuilder()
        def first = true
        for (field in fields.values()) {
            if (first) {
                first = false
            } else {
                str.append("\n")
            }

            str.append(field.toString())
        }
        str.append("\n")
        return str.toString()
    }
}
